curl "https://api.scanova.io/plans/downgrade-impact/?target_plan=starter-scanova-io" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"violations": [
{
"codename": "TOTAL_QR_CODES",
"quota_name": "Total QR Codes",
"exceed_value": 12,
"resolvable": true,
"total_affected_count": 112,
"affected_resources": ["Q07afe81aa0034c01", "Q19bd72cc1145d02"]
}
],
"current_plan_expiry": "2027-08-16",
"days_remaining": 365
}
分析与套餐
预览套餐降级的影响
GET /plans/downgrade-impact/
GET
/
plans
/
downgrade-impact
/
curl "https://api.scanova.io/plans/downgrade-impact/?target_plan=starter-scanova-io" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"violations": [
{
"codename": "TOTAL_QR_CODES",
"quota_name": "Total QR Codes",
"exceed_value": 12,
"resolvable": true,
"total_affected_count": 112,
"affected_resources": ["Q07afe81aa0034c01", "Q19bd72cc1145d02"]
}
],
"current_plan_expiry": "2027-08-16",
"days_remaining": 365
}
在提交结账前,预览哪些资源会阻碍降级,位于 Management API 主机(
若缺少
api.scanova.io)上,使用您的原始 Management API 密钥进行身份验证。
GET https://api.scanova.io/plans/downgrade-impact/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
curl "https://api.scanova.io/plans/downgrade-impact/?target_plan=starter-scanova-io" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"violations": [
{
"codename": "TOTAL_QR_CODES",
"quota_name": "Total QR Codes",
"exceed_value": 12,
"resolvable": true,
"total_affected_count": 112,
"affected_resources": ["Q07afe81aa0034c01", "Q19bd72cc1145d02"]
}
],
"current_plan_expiry": "2027-08-16",
"days_remaining": 365
}
violations 为空数组表示目前降级是干净的——无需事先更改任何内容。此端点完全为只读,不会更改任何内容;它复用与实际结账完全相同的规则引擎,因此不会与真正执行降级时发生的情况有所出入。
响应字段
array
string
当前套餐的到期日期;若套餐无到期日期,则为
null。integer | null
距
current_plan_expiry 的剩余天数;若套餐无到期日期,则为 null。target_plan,则返回 400。
相关内容
- 列出可用套餐——找到要预览降级的
slug。 - 当前套餐——账户当前的套餐及配额分配情况。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
查询参数
The target plan's slug.
响应
Violations that would block the downgrade (empty array if none), plus the current plan's remaining time.
此页面对您有帮助吗?